- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
API Version : 2026-10-01-preview
Lists member instances of the AcceleratorInterconnect.
HTTP request
GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/acceleratorInterconnects/{acceleratorInterconnect}/memberInstances?$apiVersion=2026-10-01-preview The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for the request. |
zone |
Zone where the AcceleratorInterconnect is located. Zone name should conform to RFC1035. |
acceleratorInterconnect |
Name of the parent AcceleratorInterconnect. The name should conform to RFC1035 or be a resource ID. Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
maxResults |
The maximum number of results per page that should be returned. If the number of available results is larger than |
pageToken |
Specifies a page token to use. Set |
filter |
A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either For example, if you are filtering Compute Engine instances, you can exclude instances named The You can also filter nested fields. For example, you could specify To filter on multiple expressions, provide each separate expression within parentheses. For example: By default, each expression is an If you want to use a regular expression, use the
The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name "instance", you would use You cannot combine constraints on multiple fields using regular expressions. |
orderBy |
Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using Currently, only sorting by |
Request body
The request body must be empty.
Response body
Response message for AcceleratorInterconnectMemberInstances.List.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "items": [ { "instance": string, "instanceId": string } ], "nextPageToken": string } |
| Fields | |
|---|---|
items[] |
The list of AcceleratorInterconnectMemberInstances. |
items[].instance |
Output only. The VM instance resource URL (e.g., https://.../instances/my-vm). |
items[].instanceId |
Output only. The unique server-defined ID of the VM instance. |
nextPageToken |
Token to retrieve the next page of results. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/compute.readonly
For more information, see the Authentication Overview.